Bug 353551 - GUI won't start on ProSavage video card
GUI won't start on ProSavage video card
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-savage (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 23:54 EDT by Chris Negus
Modified: 2009-01-09 02:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:20:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file showing how X fails. (35.72 KB, text/plain)
2007-10-25 23:54 EDT, Chris Negus
no flags Details

  None (edit)
Description Chris Negus 2007-10-25 23:54:01 EDT
Description of problem:

Installed latest rawhide after Fedora 8, test 3 from DVD
(rawhide-20071019-i686.iso). Install wouldn't run in GUI mode. X wouldn't start
once Fedora was installed. My video interface is listed as:
S3 Inc. VT8375 [ProSavage8 KM266/KL266]

Version-Release number of selected component (if applicable):

I'm guessing the problem is the savage X driver, but I don't know: 
  xorg-x11-drv-savage-2.1.3-1.fc8

How reproducible:
Every time.

Steps to Reproduce:
1. Install Fedora release named as described above (GUI won't start)
2. Boot Fedora and GUI fails to run.
3. Unable to probe and detect a usable X configuration.
  
Actual results:
X server start-up fails with message: Fatal server error: no screens found

Expected results:
Should be able to start X.

Additional info:

Xorg -configure was unable to create a workable xorg.conf
Comment 1 Chris Negus 2007-10-25 23:54:01 EDT
Created attachment 238331 [details]
Log file showing how X fails.
Comment 2 Bug Zapper 2008-11-26 03:06:23 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 02:20:42 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.